<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsGpsPvtData Struct Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_xs_gps_pvt_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsGpsPvtData Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Data from the GPS unit of a legacy MTi-G.  
 <a href="struct_xs_gps_pvt_data.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a744a6b50a87fa7b6633d649a6f845a87"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a744a6b50a87fa7b6633d649a6f845a87"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_gps_pvt_data.html#a744a6b50a87fa7b6633d649a6f845a87">clear</a> ()</td></tr>
<tr class="memdesc:a744a6b50a87fa7b6633d649a6f845a87"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroy the XsGpsPvtData object. <br /></td></tr>
<tr class="separator:a744a6b50a87fa7b6633d649a6f845a87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe4bc050f3d93b4f8e0eb7be41ffb9bc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abe4bc050f3d93b4f8e0eb7be41ffb9bc"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_gps_pvt_data.html#abe4bc050f3d93b4f8e0eb7be41ffb9bc">empty</a> () const </td></tr>
<tr class="memdesc:abe4bc050f3d93b4f8e0eb7be41ffb9bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if the object is empty (when it contains no valid data) <br /></td></tr>
<tr class="separator:abe4bc050f3d93b4f8e0eb7be41ffb9bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c06ab8bb5c51da3eb83363068ea3814"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c06ab8bb5c51da3eb83363068ea3814"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_gps_pvt_data.html#a9c06ab8bb5c51da3eb83363068ea3814">operator==</a> (const <a class="el" href="struct_xs_gps_pvt_data.html">XsGpsPvtData</a> &amp;other) const </td></tr>
<tr class="memdesc:a9c06ab8bb5c51da3eb83363068ea3814"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if all fields of this and <em>other</em> are exactly identical. <br /></td></tr>
<tr class="separator:a9c06ab8bb5c51da3eb83363068ea3814"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a2586e8f9f746ab9a5514f56a93b0cb85"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2586e8f9f746ab9a5514f56a93b0cb85"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_gps_pvt_data.html#a2586e8f9f746ab9a5514f56a93b0cb85">m_pressure</a></td></tr>
<tr class="memdesc:a2586e8f9f746ab9a5514f56a93b0cb85"><td class="mdescLeft">&#160;</td><td class="mdescRight">The pressure measurement in units of 2 Pascal, only valid if m_pressureAge is not 255. <br /></td></tr>
<tr class="separator:a2586e8f9f746ab9a5514f56a93b0cb85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16b0227477e78c4bf0cbbe1c26aee57c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a16b0227477e78c4bf0cbbe1c26aee57c"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_gps_pvt_data.html#a16b0227477e78c4bf0cbbe1c26aee57c">m_pressureAge</a></td></tr>
<tr class="memdesc:a16b0227477e78c4bf0cbbe1c26aee57c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The age of the pressure measurement in packets. When it decreases relative to the previous packet, it indicates that new data is available. <br /></td></tr>
<tr class="separator:a16b0227477e78c4bf0cbbe1c26aee57c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4e91c9b85e3c1be265068b70399b413"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad4e91c9b85e3c1be265068b70399b413"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_gps_pvt_data.html#ad4e91c9b85e3c1be265068b70399b413">m_itow</a></td></tr>
<tr class="memdesc:ad4e91c9b85e3c1be265068b70399b413"><td class="mdescLeft">&#160;</td><td class="mdescRight">Integer time of week in ms. <br /></td></tr>
<tr class="separator:ad4e91c9b85e3c1be265068b70399b413"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae67d0d806b28eef09a9272f451e4db99"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae67d0d806b28eef09a9272f451e4db99"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_gps_pvt_data.html#ae67d0d806b28eef09a9272f451e4db99">m_latitude</a></td></tr>
<tr class="memdesc:ae67d0d806b28eef09a9272f451e4db99"><td class="mdescLeft">&#160;</td><td class="mdescRight">Latitude in 1e-7 degrees. <br /></td></tr>
<tr class="separator:ae67d0d806b28eef09a9272f451e4db99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a575edfe6b1b703f872bf21cb78a46b84"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a575edfe6b1b703f872bf21cb78a46b84"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_gps_pvt_data.html#a575edfe6b1b703f872bf21cb78a46b84">m_longitude</a></td></tr>
<tr class="memdesc:a575edfe6b1b703f872bf21cb78a46b84"><td class="mdescLeft">&#160;</td><td class="mdescRight">Longitude in 1e-7 degrees. <br /></td></tr>
<tr class="separator:a575edfe6b1b703f872bf21cb78a46b84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1eaee0e5fbdfd41804bdf22562058b10"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1eaee0e5fbdfd41804bdf22562058b10"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_gps_pvt_data.html#a1eaee0e5fbdfd41804bdf22562058b10">m_height</a></td></tr>
<tr class="memdesc:a1eaee0e5fbdfd41804bdf22562058b10"><td class="mdescLeft">&#160;</td><td class="mdescRight">Height in mm. <br /></td></tr>
<tr class="separator:a1eaee0e5fbdfd41804bdf22562058b10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50795dc9851d490df9540469ee046c52"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a50795dc9851d490df9540469ee046c52"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_gps_pvt_data.html#a50795dc9851d490df9540469ee046c52">m_veln</a></td></tr>
<tr class="memdesc:a50795dc9851d490df9540469ee046c52"><td class="mdescLeft">&#160;</td><td class="mdescRight">Velocity towards north in cm/s. <br /></td></tr>
<tr class="separator:a50795dc9851d490df9540469ee046c52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3136c40395b084771f03d6012c53663"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af3136c40395b084771f03d6012c53663"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_gps_pvt_data.html#af3136c40395b084771f03d6012c53663">m_vele</a></td></tr>
<tr class="memdesc:af3136c40395b084771f03d6012c53663"><td class="mdescLeft">&#160;</td><td class="mdescRight">Velocity towards east in cm/s. <br /></td></tr>
<tr class="separator:af3136c40395b084771f03d6012c53663"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c362240bc562652eaf35a3ff1c7360b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7c362240bc562652eaf35a3ff1c7360b"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_gps_pvt_data.html#a7c362240bc562652eaf35a3ff1c7360b">m_veld</a></td></tr>
<tr class="memdesc:a7c362240bc562652eaf35a3ff1c7360b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Velocity towards down in cm/s. <br /></td></tr>
<tr class="separator:a7c362240bc562652eaf35a3ff1c7360b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad24604adc73ac4444567631ea1a4203a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad24604adc73ac4444567631ea1a4203a"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_gps_pvt_data.html#ad24604adc73ac4444567631ea1a4203a">m_hacc</a></td></tr>
<tr class="memdesc:ad24604adc73ac4444567631ea1a4203a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Horizontal accuracy estimate, expected error standard deviation in mm. <br /></td></tr>
<tr class="separator:ad24604adc73ac4444567631ea1a4203a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72b720b8f52037f92247f93331a8fbb7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a72b720b8f52037f92247f93331a8fbb7"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_gps_pvt_data.html#a72b720b8f52037f92247f93331a8fbb7">m_vacc</a></td></tr>
<tr class="memdesc:a72b720b8f52037f92247f93331a8fbb7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Vertical accuracy estimate, expected error standard deviation in mm. <br /></td></tr>
<tr class="separator:a72b720b8f52037f92247f93331a8fbb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03d578498030f261e58e02247a980e3c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a03d578498030f261e58e02247a980e3c"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_gps_pvt_data.html#a03d578498030f261e58e02247a980e3c">m_sacc</a></td></tr>
<tr class="memdesc:a03d578498030f261e58e02247a980e3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Speed accuracy estimate, expected error standard deviation in cm/s. <br /></td></tr>
<tr class="separator:a03d578498030f261e58e02247a980e3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5302ad322cee7fd640c0917a2e4a77f6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5302ad322cee7fd640c0917a2e4a77f6"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_gps_pvt_data.html#a5302ad322cee7fd640c0917a2e4a77f6">m_gpsAge</a></td></tr>
<tr class="memdesc:a5302ad322cee7fd640c0917a2e4a77f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The age of the GPS measurement in packets. When it decreases relative to the previous packet, it indicates that new data is available. <br /></td></tr>
<tr class="separator:a5302ad322cee7fd640c0917a2e4a77f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Data from the GPS unit of a legacy MTi-G. </p>
</div></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
